org.eclnt.util.valuemgmt

## Class ImageShrinker

- java.lang.Object
- - org.eclnt.util.valuemgmt.ImageShrinker

-     public class ImageShrinker
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ImageShrinker.ImageShrinkerException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageShrinker()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIfShrinkingIsSupported(java.lang.String extension)`
    `static void` | `main(java.lang.String[] args)`
    `static byte[]` | `shrinkImage(byte[] bytes, int width, int height, float quality, java.lang.String format)`
    `static byte[]` | `shrinkImage(byte[] bytes, int width, int height, java.lang.String format)`
    `static byte[]` | `sizeImage(byte[] bytes, int width, int height, float quality, java.lang.String format, boolean keepRatio, boolean onlyShrkinking)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageShrinker

          public ImageShrinker()

  - ### Method Detail

    - #### checkIfShrinkingIsSupported

          public static boolean checkIfShrinkingIsSupported(java.lang.String extension)

    - #### shrinkImage

          public static byte[] shrinkImage(byte[] bytes,
                                           int width,
                                           int height,
                                           java.lang.String format)
                                    throws ImageShrinker.ImageShrinkerException

      Throws:
        `ImageShrinker.ImageShrinkerException`

    - #### shrinkImage

          public static byte[] shrinkImage(byte[] bytes,
                                           int width,
                                           int height,
                                           float quality,
                                           java.lang.String format)
                                    throws ImageShrinker.ImageShrinkerException

      Throws:
        `ImageShrinker.ImageShrinkerException`

    - #### sizeImage

          public static byte[] sizeImage(byte[] bytes,
                                         int width,
                                         int height,
                                         float quality,
                                         java.lang.String format,
                                         boolean keepRatio,
                                         boolean onlyShrkinking)
                                  throws ImageShrinker.ImageShrinkerException

      Throws:
        `ImageShrinker.ImageShrinkerException`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © CaptainCasa Gmbh. All Rights Reserved.